<?php



class TbltestquestionMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbltestquestionMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbltestquestionPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbltestquestionPeer::TABLE_NAME);
		$tMap->setPhpName('Tbltestquestion');
		$tMap->setClassname('Tbltestquestion');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('TE_ID', 'TeId', 'INTEGER', true, null);

		$tMap->addColumn('TE_QUESTION', 'TeQuestion', 'VARCHAR', true, 1024);

		$tMap->addColumn('TE_OPTIONS', 'TeOptions', 'VARCHAR', true, 1024);

		$tMap->addColumn('TE_RESULT', 'TeResult', 'TINYINT', true, null);

		$tMap->addColumn('TE_CATEGORY', 'TeCategory', 'INTEGER', false, null);

		$tMap->addColumn('TE_LEVEL', 'TeLevel', 'TINYINT', false, null);

		$tMap->addColumn('TE_USER', 'TeUser', 'INTEGER', false, null);

		$tMap->addColumn('TE_BLOG', 'TeBlog', 'INTEGER', false, null);

		$tMap->addColumn('TE_STATUS', 'TeStatus', 'TINYINT', false, null);

	} 
} 